#loader-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    overflow: hidden;
    background-color: #efefef;
    
    // Modernizr no-js fallback
    .no-js & {
      display: none;
    }
}
  
#loader {
    display: block;
    position: relative;
    left: 0;
    right: 0;
    top: calc( 50% - 100px );
    transform: translateY(-50%);
    width: 120px;
    height: 120px;
    margin: auto;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: $color1;
    animation: spin 1.7s linear infinite;
    z-index: 11;
    
    &:before {
      content: "";
      position: absolute;
      top: 5px;
      left: 5px;
      right: 5px;
      bottom: 5px;
      border-radius: 50%;
      border: 3px solid transparent;
      border-top-color: $color3;
      animation: spin-reverse .6s linear infinite;
    }
    
    &:after {
      content: "";
      position: absolute;
      top: 15px;
      left: 15px;
      right: 15px;
      bottom: 15px;
      border-radius: 50%;
      border: 3px solid transparent;
      border-top-color: $color2;
      animation: spin 1s linear infinite;
    }
}

@keyframes spin {
    from {
        transform:rotate(0deg);
    }
    to {
        transform:rotate(360deg);
    }
}
@keyframes spin-reverse {
    from {
        transform:rotate(0deg);
    }
    to {
        transform:rotate(-360deg);
    }
}
  
/* Loaded styles */
.loaded {
   opacity: 0;
    transition: all 0.3s ease-out;
}
  
#loader-wrapper.loaded {
    display: none;
    transform: translateY(-100%);
    transition: all 0.3s 1s ease-out;
}